Subject: Re: bug#71264: 30.0.50; Dired deletion moves point under auto-revert

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Jun 2024 22:02:06 +0300

> From: Manuel Giraud <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Mon, 03 Jun 2024 20:53:46 +0200
> 
> >> What I don't understand is two things:
> >>
> >>   . why the fact that "foo"s buffer was reverted affects Dired, [...]
> >>   . why the effect is to move point to BOB?
> >
> > I suspect answering these is tantamount to fixing the bug.
> 
> This I'm not sure and I have to check.  But it seems that dired keeps
> the information of « what is the current file name » and go there after
> having reverted the content.  If it is not found, the point stays at
> BOB.

So how does Dired DTRT when you simply delete a file at point?  Why
doesn't it go to BOB in that case?